import type { App } from 'vue';
import { Button } from './Button';
import Antd from 'ant-design-vue';
import 'highlight.js/styles/atom-one-dark.css';
import hljsCommon from 'highlight.js/lib/common';
import hljsVuePlugin from '@highlightjs/vue-plugin';
import useWebSocketFn from '/@/hooks/web/useWebsocket';
// import VXETable from './VxeTable/index';
hljsCommon.highlightAuto('<h1>Highlight.js has been registered successfully!</h1>').value;
export function registerGlobComp(app: App) {
  app.use(Antd).use(Button);
  // app.use(VXETable);
  // 注册代码高亮组件 （博客：https://blog.csdn.net/weixin_41897680/article/details/124925222）
  // 注意：解决Vue使用highlight.js build打包发布后样式消失问题，原因是webpack在打包的时候没有把未被使用的代码打包进去，因此，在此处引用一下，看似无意义实则有用
  hljsCommon.highlightAuto('<h1>Highlight.js has been registered successfully!</h1>').value;
  app.use(hljsVuePlugin);
  // 设置全局 websocket
  app.provide('useWebSocketFn', useWebSocketFn());
}
